# shell include script

ZARAFA_LANG="${LC_MESSAGES:-en_EN}"
PATH=$PATH:/usr/local/bin

if [ -z "${ZARAFA_USER_SCRIPTS}" ] ; then
    exec >&2
    echo "Do not execute this script directly"
    exit 1
fi

if [ ! -d "${ZARAFA_USER_SCRIPTS}" ] ; then
    exec >&2
    echo "${ZARAFA_USER_SCRIPTS} does not exist or is not a directory"
    exit 1
fi

if [ -z "${ZARAFA_USER}" -a -z "${ZARAFA_STOREID}" ] ; then
    exec >&2
    echo "ZARAFA_USER and ZARAFA_STOREID is not set."
    exit 1
fi

find ${ZARAFA_USER_SCRIPTS} -maxdepth 1 -type f -perm -u=x -and ! -name \*~ -and ! -name \#\* -exec {} \;
